=== src/swt/motif/Makefile ===
# Generated automatically from Makefile.in by configure.
# This Makefile is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

CC = cc
AWK = gawk
RANLIB = echo 

LIBS = -lXpm -lXm -lXt -lX11
INCDIRS = -I../.. -I../include  -I/usr/local/include -I/usr/freeware/include 
# WARNINGS = -Wall -Wwrite-strings
FONT24 = 
CFLAGS = -g $(WARNINGS) $(INCDIRS) -DFONT24=\"$(FONT24)\"
DLIB = ../lib/libswt.so.0.1
SLIB = ../lib/libswt.a

target: $(SLIB)
#target: $(DLIB) $(SLIB)

OBJS = \
	swt.o \
	browser.o \
	tree.o \
	header.o \
	groupbox.o \
	statusbar.o \
	toolbar.o \
	util.o \
	resload.o

SRCS = $(OBJS:o=c)

DISTFILES = $(SRCS) copy.xbm copy_mask.xbm link.xbm link_mask.xbm \
	    error.xbm error_mask.xbm Makefile.in

$(DLIB):	$(OBJS)
		$(CC) -shared -o $(DLIB) $(OBJS)

$(SLIB):	$(OBJS)
		ar -r $(SLIB) $(OBJS)
		$(RANLIB) $(SLIB)

clean:
		rm -f $(OBJS) $(LIB) *.bak core

dname:
		mkdir ../../`cat ../../.dname`/swt/motif
		ln $(DISTFILES) ../../`cat ../../.dname`/swt/motif

depend:
	cp Makefile Makefile.bak
	$(AWK) "{ print; } /^# DO NOT DELETE/ { exit; }" < Makefile.bak > Makefile
	$(AWK) '{ print } /^# DO NOT DELETE THIS LINE/ { print ""; exit }' < Makefile.bak > Makefile
	if test "$(CC)" = "gcc" ; then \
           mkdep="gcc -MM";\
        else \
           if test "`uname`" = "SunOS" ; then\
              mkdep="$(CC) -xM";\
           else\
              mkdep="$(CC) -M";\
           fi\
        fi;\
        $$mkdep $(INCDIRS) $(SRCS) >> Makefile

# DO NOT DELETE this line -- it's make depend food

swt.o: swt.c
swt.o: /usr/include/Xm/Xm.h
swt.o: /usr/include/X11/Intrinsic.h
swt.o: /usr/include/X11/Xlib.h
swt.o: /usr/include/sys/types.h
swt.o: /usr/include/standards.h
swt.o: /usr/include/sgidefs.h
swt.o: /usr/include/internal/sgimacros.h
swt.o: /usr/include/sys/pthread.h
swt.o: /usr/include/sys/bsd_types.h
swt.o: /usr/include/sys/select.h
swt.o: /usr/include/string.h
swt.o: /usr/include/internal/string_core.h
swt.o: /usr/include/X11/X.h
swt.o: /usr/include/X11/Xfuncproto.h
swt.o: /usr/include/X11/Xosdefs.h
swt.o: /usr/include/stddef.h
swt.o: /usr/include/internal/stddef_core.h
swt.o: /usr/include/X11/Xutil.h
swt.o: /usr/include/X11/Xresource.h
swt.o: /usr/include/X11/Core.h
swt.o: /usr/include/X11/Composite.h
swt.o: /usr/include/X11/Constraint.h
swt.o: /usr/include/X11/Object.h
swt.o: /usr/include/X11/RectObj.h
swt.o: /usr/include/X11/Shell.h
swt.o: /usr/include/X11/SM/SMlib.h
swt.o: /usr/include/X11/SM/SM.h
swt.o: /usr/include/X11/ICE/ICElib.h
swt.o: /usr/include/X11/ICE/ICE.h
swt.o: /usr/include/X11/Xatom.h
swt.o: /usr/include/Xm/XmStrDefs.h
swt.o: /usr/include/X11/StringDefs.h
swt.o: /usr/include/Xm/VirtKeys.h
swt.o: /usr/include/Xm/VendorS.h
swt.o: /usr/include/Xm/BulletinB.h
swt.o: /usr/include/Xm/CascadeB.h
swt.o: /usr/include/Xm/DragDrop.h
swt.o: /usr/include/Xm/DragC.h
swt.o: /usr/include/Xm/Display.h
swt.o: /usr/include/Xm/DropSMgr.h
swt.o: /usr/include/Xm/DragIcon.h
swt.o: /usr/include/Xm/DropTrans.h
swt.o: /usr/include/Xm/DragOverS.h
swt.o: /usr/include/Xm/DrawingA.h
swt.o: /usr/include/Xm/FileSB.h
swt.o: /usr/include/Xm/Label.h
swt.o: /usr/include/Xm/MainW.h
swt.o: /usr/include/Xm/MessageB.h
swt.o: /usr/include/Xm/Protocols.h
swt.o: /usr/include/Xm/AtomMgr.h
swt.o: /usr/include/Xm/PushB.h
swt.o: /usr/include/Xm/RowColumn.h
swt.o: /usr/include/Xm/ScrollBar.h
swt.o: /usr/include/Xm/ScrolledW.h
swt.o: /usr/include/Xm/Separator.h
swt.o: /usr/include/Xm/Text.h
swt.o: /usr/include/stdio.h
swt.o: /usr/include/internal/stdio_core.h
swt.o: /usr/include/getopt.h
swt.o: /usr/include/Xm/TextF.h
swt.o: /usr/include/Xm/ToggleB.h
swt.o: /usr/include/X11/keysym.h
swt.o: /usr/include/X11/keysymdef.h
swt.o: /usr/include/X11/SGIkeysym.h
swt.o: /usr/include/X11/IntrinsicP.h
swt.o: /usr/include/X11/CoreP.h
swt.o: /usr/include/X11/CompositeP.h
swt.o: /usr/include/X11/ConstrainP.h
swt.o: /usr/include/X11/ObjectP.h
swt.o: /usr/include/X11/RectObjP.h
swt.o: /usr/include/X11/cursorfont.h
swt.o: /usr/include/stdlib.h
swt.o: /usr/include/internal/stdlib_core.h
swt.o: /usr/include/internal/locale_attr_core.h
swt.o: /usr/include/stdarg.h
swt.o: /usr/include/sys/time.h
swt.o: /usr/include/sys/timespec.h
swt.o: /usr/include/time.h
swt.o: /usr/include/internal/time_core.h
swt.o: /usr/include/sys/ptimers.h
swt.o: /usr/include/sys/stat.h
swt.o: /usr/include/errno.h
swt.o: /usr/include/internal/errno_core.h
swt.o: /usr/include/sys/errno.h
swt.o: /usr/include/ctype.h
swt.o: /usr/include/internal/ctype_core.h
swt.o: /usr/include/fcntl.h
swt.o: /usr/include/sys/fcntl.h
swt.o: /usr/include/GL/gl.h
swt.o: /usr/include/GL/glx.h
swt.o: /usr/include/X11/Xmd.h
swt.o: /usr/include/GL/glxtokens.h
swt.o: ../../config.h
swt.o: ../include/swt.h
swt.o: ../include/keycodes.h
swt.o: ../include/swttypedef.h
swt.o: ../include/swtxinput.h
swt.o: /usr/include/X11/extensions/XInput.h
swt.o: /usr/include/X11/extensions/XI.h
swt.o: ../../mycsnprintf.h
swt.o: ../../mysnprintf.h
swt.o: copy.xbm
swt.o: copy_mask.xbm
swt.o: link.xbm
swt.o: link_mask.xbm
swt.o: error.xbm
swt.o: error_mask.xbm
swt.o: cursor_none.xbm
swt.o: ../include/stereoview.h
swt.o: swt_structs.h
browser.o: browser.c
browser.o: /usr/include/fcntl.h
browser.o: /usr/include/sys/types.h
browser.o: /usr/include/standards.h
browser.o: /usr/include/sgidefs.h
browser.o: /usr/include/internal/sgimacros.h
browser.o: /usr/include/sys/pthread.h
browser.o: /usr/include/sys/bsd_types.h
browser.o: /usr/include/sys/select.h
browser.o: /usr/include/string.h
browser.o: /usr/include/internal/string_core.h
browser.o: /usr/include/sys/fcntl.h
browser.o: /usr/include/X11/Intrinsic.h
browser.o: /usr/include/X11/Xlib.h
browser.o: /usr/include/X11/X.h
browser.o: /usr/include/X11/Xfuncproto.h
browser.o: /usr/include/X11/Xosdefs.h
browser.o: /usr/include/stddef.h
browser.o: /usr/include/internal/stddef_core.h
browser.o: /usr/include/X11/Xutil.h
browser.o: /usr/include/X11/Xresource.h
browser.o: /usr/include/X11/Core.h
browser.o: /usr/include/X11/Composite.h
browser.o: /usr/include/X11/Constraint.h
browser.o: /usr/include/X11/Object.h
browser.o: /usr/include/X11/RectObj.h
browser.o: /usr/include/stdlib.h
browser.o: /usr/include/internal/stdlib_core.h
browser.o: /usr/include/internal/locale_attr_core.h
browser.o: /usr/include/getopt.h
browser.o: /usr/include/stdio.h
browser.o: /usr/include/internal/stdio_core.h
browser.o: /usr/include/signal.h
browser.o: /usr/include/internal/signal_core.h
browser.o: /usr/include/sys/signal.h
browser.o: /usr/include/sys/sigevent.h
browser.o: /usr/include/sys/siginfo.h
browser.o: /usr/include/sys/ucontext.h
browser.o: /usr/include/sys/timespec.h
browser.o: /usr/include/sys/procset.h
browser.o: /usr/include/unistd.h
browser.o: /usr/include/sys/unistd.h
browser.o: /usr/include/sys/uio.h
browser.o: /usr/include/utime.h
browser.o: /usr/include/sys/utime.h
browser.o: /usr/include/re_comp.h
browser.o: /usr/include/errno.h
browser.o: /usr/include/internal/errno_core.h
browser.o: /usr/include/sys/errno.h
browser.o: /usr/include/sys/wait.h
browser.o: /usr/include/sys/resource.h
browser.o: ../../config.h
browser.o: ../include/swt.h
browser.o: ../include/keycodes.h
browser.o: ../include/swttypedef.h
tree.o: tree.c
tree.o: /usr/include/stdlib.h
tree.o: /usr/include/internal/stdlib_core.h
tree.o: /usr/include/standards.h
tree.o: /usr/include/sgidefs.h
tree.o: /usr/include/internal/sgimacros.h
tree.o: /usr/include/internal/locale_attr_core.h
tree.o: /usr/include/getopt.h
tree.o: /usr/include/assert.h
tree.o: /usr/include/internal/assert_core.h
tree.o: /usr/include/string.h
tree.o: /usr/include/internal/string_core.h
tree.o: ../include/swt.h
tree.o: ../include/keycodes.h
tree.o: ../include/swttypedef.h
header.o: header.c
header.o: /usr/include/stdlib.h
header.o: /usr/include/internal/stdlib_core.h
header.o: /usr/include/standards.h
header.o: /usr/include/sgidefs.h
header.o: /usr/include/internal/sgimacros.h
header.o: /usr/include/internal/locale_attr_core.h
header.o: /usr/include/getopt.h
header.o: /usr/include/string.h
header.o: /usr/include/internal/string_core.h
header.o: /usr/include/assert.h
header.o: /usr/include/internal/assert_core.h
header.o: ../include/swt.h
header.o: ../include/keycodes.h
header.o: ../include/swttypedef.h
groupbox.o: groupbox.c
groupbox.o: /usr/include/stdio.h
groupbox.o: /usr/include/internal/stdio_core.h
groupbox.o: /usr/include/standards.h
groupbox.o: /usr/include/sgidefs.h
groupbox.o: /usr/include/internal/sgimacros.h
groupbox.o: /usr/include/getopt.h
groupbox.o: /usr/include/stdlib.h
groupbox.o: /usr/include/internal/stdlib_core.h
groupbox.o: /usr/include/internal/locale_attr_core.h
groupbox.o: ../include/swt.h
groupbox.o: ../include/keycodes.h
groupbox.o: ../include/swttypedef.h
statusbar.o: statusbar.c
statusbar.o: /usr/include/stdlib.h
statusbar.o: /usr/include/internal/stdlib_core.h
statusbar.o: /usr/include/standards.h
statusbar.o: /usr/include/sgidefs.h
statusbar.o: /usr/include/internal/sgimacros.h
statusbar.o: /usr/include/internal/locale_attr_core.h
statusbar.o: /usr/include/getopt.h
statusbar.o: /usr/include/string.h
statusbar.o: /usr/include/internal/string_core.h
statusbar.o: ../include/swt.h
statusbar.o: ../include/keycodes.h
statusbar.o: ../include/swttypedef.h
toolbar.o: toolbar.c
toolbar.o: ../../config.h
toolbar.o: /usr/include/stdio.h
toolbar.o: /usr/include/internal/stdio_core.h
toolbar.o: /usr/include/standards.h
toolbar.o: /usr/include/sgidefs.h
toolbar.o: /usr/include/internal/sgimacros.h
toolbar.o: /usr/include/getopt.h
toolbar.o: /usr/include/stdlib.h
toolbar.o: /usr/include/internal/stdlib_core.h
toolbar.o: /usr/include/internal/locale_attr_core.h
toolbar.o: ../include/swt.h
toolbar.o: ../include/keycodes.h
toolbar.o: ../include/swttypedef.h
util.o: util.c
util.o: ../include/swt.h
util.o: ../include/keycodes.h
util.o: ../include/swttypedef.h
resload.o: resload.c
resload.o: ../include/swt.h
resload.o: ../include/keycodes.h
resload.o: ../include/swttypedef.h
resload.o: ../include/res.h
resload.o: /usr/include/stdlib.h
resload.o: /usr/include/internal/stdlib_core.h
resload.o: /usr/include/standards.h
resload.o: /usr/include/sgidefs.h
resload.o: /usr/include/internal/sgimacros.h
resload.o: /usr/include/internal/locale_attr_core.h
resload.o: /usr/include/getopt.h
resload.o: /usr/include/string.h
resload.o: /usr/include/internal/string_core.h
