=== packager/debian/changelog ===
whitedune (0.20beta19-1) experimental; urgency=low

  * Version 0.20beta19 debian package
    For details see the README file of the source package

 -- J. "MUFTI" Scheurich <mufti@csv.ica.uni-stuttgart.de>  Wed, 7 Aug 2002 15:46:48 +0200

whitedune (0.19beta31-1) experimental; urgency=low

  * Initial debian package

 -- Thiemo Seufer <seufer@csv.ica.uni-stuttgart.de>  Mon, 15 Apr 2002 17:00:05 +0200
